/*
 * Plugin Name: Flooows Elementor PRO Lead DB
 * Description: An easy-to-use plugin to store and export Elementor PRO form leads.
 * Author:      Marco Ciambricco
 * Version:     1.2.1
 * Author URI:  https://www.flooows.com/
 */

function showLeads(formSlug){
	var divToShow = document.getElementById("ffls-leads-table-" + formSlug);
	var divsToHide = document.getElementsByClassName("ffls-hidden-leads-table");
	var i;
	for (i = 0; i < divsToHide.length; i++) {
	  divsToHide[i].style.display = "none";	
	} 	
	divToShow.style.display = "inherit";	
}

function showRow(id){

	var row = document.getElementById("ffls-contact-details-row-" + id);

    if (row.style.display === "none") {

        row.style.display = "table-row";

    } else {

        row.style.display = "none";

    }

}



function isOneEnquireChecked() {

			  // All check-boxes with the given name

			  var chx = document.getElementsByName('ffls-id-checkboxes[]');

			  var isChecked = false;

			  for (var i=0; i<chx.length; i++) {

				// Return true from the function on first match of a checked item

				if (chx[i].checked) {

				  isChecked = true;

				} 

			  }

			  if(isChecked){

				return isChecked; 

			  }else{

				alert('No rows selected!');

				return false;  

			  }

}



jQuery(document).ready(function($) {

	$('input[name=ffls_control_checkbox]').change(function(){

		$('input:checkbox[name="ffls-id-checkboxes[]"]').not(this).prop('checked', this.checked);

	});

});	